Skip to main content
GET
/
api
/
v1
/
questions
Get Questions
curl --request GET \
  --url https://api.getversive.com/api/v1/questions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "q_123",
    "content": "What is your favorite color?",
    "type": "text",
    "interviewer_notes": "Ask about shade.",
    "display_order": 1,
    "props": {},
    "assets": [],
    "logic": [
      {
        "id": "logic_123",
        "study_id": "study_123",
        "question_id": "q_123",
        "operation": "equals",
        "comparison_value": "Blue",
        "comparison_value_type": "text",
        "next_question_id": "q_125",
        "redirect_url": null,
        "end_interview": false,
        "action_type": "skip_to",
        "language": "English"
      }
    ]
  }
]
Retrieve all questions associated with a specific study.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

study_id
string
required

ID of the study to retrieve questions for

Response

Successful Response